Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
NodeOptInfo Struct Reference

## Data Fields
MinMaxLen | len
OptAncInfo | anc
OptExactInfo | exb
OptExactInfo | exm
OptExactInfo | expr
OptMapInfo | map

## Detailed Description

Definition at line 4327 of file regcomp.c.

## Field Documentation

OptAncInfo NodeOptInfo::anc

Definition at line 4330 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_optimize_info_from_tree().

OptExactInfo NodeOptInfo::exb

Definition at line 4331 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), set_bound_node_opt_info(), and set_optimize_info_from_tree().

OptExactInfo NodeOptInfo::exm

Definition at line 4332 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_optimize_info_from_tree().

OptExactInfo NodeOptInfo::expr

Definition at line 4333 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_bound_node_opt_info().

MinMaxLen NodeOptInfo::len

Definition at line 4328 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), and set_optimize_info_from_tree().

OptMapInfo NodeOptInfo::map

Definition at line 4335 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), clear_node_opt_info(), concat_left_node_opt_info(), optimize_node_left(), set_bound_node_opt_info(), and set_optimize_info_from_tree().

The documentation for this struct was generated from the following file:

- regcomp.c